abeliangroup.h File Reference

Deals with finitely generated abelian groups. More...

`#include <set>`
`#include "regina-core.h"`
`#include "maths/integer.h"`
`#include "output.h"`
`#include <boost/noncopyable.hpp>`

## Classes

class | regina::MatrixIntDomain< T >
| Represents a matrix of elements from a given integral domain T. More...
class | regina::AbelianGroup
| Represents a finitely generated abelian group. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef MatrixIntDomain< Integer > | regina::MatrixInt
| A matrix of arbitrary-precision integers. More...
typedef AbelianGroup | regina::NAbelianGroup
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Deals with finitely generated abelian groups.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).